<template>
  <div
    class="popular-match w-full items-center flex"
    v-if="popularMatches.length > 0"
  >
    <div :class="{ 'py-2': !tab.includes('module_popular_match') }">
      <template v-if="variant === 'Group'">
        <sport-popular-match-group :matches="popularMatches" :tab="tab" />
      </template>
      <template v-if="variant === 'Carousel'">
        <sport-popular-match-carousel :matches="popularMatches" />
      </template>
    </div>
  </div>
</template>
<script lang="ts">
import { computed, defineComponent, PropType } from "vue";
import commonHelper from "@/utils/commonHelper";
import { RecommendMatch } from "@/models/theme/popular_match/popularMatch";

const { getAssetImage } = commonHelper;
export default defineComponent({
  name: "PopularMatch",
  props: {
    backgroundCard: {
      type: String,
      default: () =>
        getAssetImage("assets/theme/common/popular_match/dark_card_bg.png"),
    },
    carousel: {
      type: Boolean,
      default: () => false,
    },
    variant: {
      type: String as PropType<"Group" | "Carousel">,
      required: false,
      default: "Group",
    },
    tab: {
      type: String,
      default: "",
    },
  },
  setup() {
    const { recommendMatches } = usePopularMatch();
    const popularMatches = computed(() =>
      recommendMatches.value.map((match) => new RecommendMatch(match))
    );
    return {
      recommendMatches,
      popularMatches,
    };
  },
});
</script>
